Summary:	Volume control for the Xfce
Name:		xfce4-mixer
Version:	4.4.2
Release:	%mkrel 3
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://www.xfce.org
Source0:	xfce4-mixer-%{version}.tar.bz2
Patch0:		01_volume_hotkeys.patch
Patch1:         02_mixer-block-menu.patch
Patch2:         03_xfce4-mixer-panel-plugin_border.patch
Requires:	xfce4-panel >= %{version}
BuildRequires:	xfce4-panel-devel >= %{version}
BuildRequires:	libgdk_pixbuf2.0-devel
BuildRequires:	imagemagick
BuildRequires:	xfce-mcs-manager-devel
BuildRequires:	perl(XML::Parser)
BuildRequires:	desktop-file-utils
BuildRequires:	libalsa-devel
Requires(post):	desktop-file-utils
Requires(postun): desktop-file-utils
Obsoletes:	xfce-mixer
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Xfce-mixer is the volume control for Xfce. It includes
a sound mixer.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%configure2_5x \
	--with-sound=alsa \
	--enable-final \
	--disable-static

# (tpg) don't use macro because parallel build fails
# use dirty hacks :)
%(echo %make|perl -pe 's/-j\d+/-j1/g')

%install
rm -rf %{buildroot}
%makeinstall_std

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{32x32,16x16}/apps
convert settings/%{name}.png -geometry 32x32 %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert settings/%{name}.png -geometry 16x16 %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png

desktop-file-install \
	--remove-category="X-FACE" \
	--add-category="Mixer" \
	--add-category="Audio" \
	--dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
%{update_menus}
%update_icon_cache hicolor

%postun
%{clean_menus}
%clean_icon_cache hicolor

%files -f %{name}.lang
%defattr(-,root,root)
%doc README ChangeLog NOTES AUTHORS NEWS
%{_bindir}/*
%{_datadir}/applications/xfce*
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/xfce4/panel-plugins/
%{_libdir}/xfce4/panel-plugins/
%{_libdir}/xfce4/mcs-plugins/
%{_libdir}/xfce4/modules/*


%changelog
* Sat Jan 05 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.2-3mdv2008.1
+ Revision: 145792
- update volume hotkeys patch

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Dec 06 2007 Jérôme Soyer <saispo@mandriva.org> 4.4.2-2mdv2008.1
+ Revision: 116030
- Add two patches for fixing some bugs

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - new license policy
    - do not package COPYING and INSTALL, add NEWS instead

* Sun Nov 18 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.2-1mdv2008.1
+ Revision: 110065
- disable parallel build
- new version 4.4.2
- use parallel make
- fix file list
- use upstream tarball name as a real name
- use upstream name

  + Jérôme Soyer <saispo@mandriva.org>
    - New release 4.4.2

* Sat Aug 25 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-4mdv2008.0
+ Revision: 71239
- remove X-MandrivaLinux from desktop file

* Mon Jun 04 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-3mdv2008.0
+ Revision: 35072
- use dirty hack for parallel build
- add patch 0 (multimedia keys)

* Wed May 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-2mdv2008.0
+ Revision: 32844
- s/imagemagick/ImageMagick
- correct requires
- use macros in %%post and %%postun
- compile with alsa support

* Wed Apr 25 2007 Jérôme Soyer <saispo@mandriva.org> 4.4.1-1mdv2008.0
+ Revision: 18151
- Disable parallel build
- Push new release 4.4.1
- New release 4.4.1

